Index: kernel/generic/src/lib/objc.c
===================================================================
--- kernel/generic/src/lib/objc.c	(revision 5719f6ddbbd629f7eb5c571fcbcbd7a87a3565c7)
+++ 	(revision )
@@ -1,60 +1,0 @@
-/*
- * Copyright (c) 2007 Martin Decky
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-/** @addtogroup generic	
- * @{
- */
-
-/**
- * @file
- * @brief	Objective C run-time environment.
- *
- * This file containts the (growing subset of) 
- * Objective C run-time environment. The code currently
- * relies on the external libobjc library, but this
- * dependency will be removed eventually.
- */
-
-#include <lib/objc.h>
-
-@implementation base_t
-
-+ (id) new
-{
-	return class_create_instance(self);
-}
-
-- (id) dispose
-{
-	return object_dispose(self);
-}
-
-@end
-
-/** @}
- */
Index: kernel/generic/src/lib/objc_ext.c
===================================================================
--- kernel/generic/src/lib/objc_ext.c	(revision 5719f6ddbbd629f7eb5c571fcbcbd7a87a3565c7)
+++ 	(revision )
@@ -1,174 +1,0 @@
-/*
- * Copyright (c) 2007 Martin Decky
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-/** @addtogroup generic	
- * @{
- */
-
-/**
- * @file
- * @brief	Objective C bindings.
- *
- * This file provides architecture independent binding
- * functions which are needed to link with libobjc run-time
- * library. Many of the functions are just dummy.
- */
-
-#include <lib/objc_ext.h>
-#include <panic.h>
-#include <arch/memstr.h>
-#include <mm/slab.h>
-
-void *stderr;
-
-static unsigned short __ctype_b[384] = {
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    2,     2,     2,     2,     2,     2,     2,     2, 
-	    2,  8195,  8194,  8194,  8194,  8194,     2,     2, 
-	    2,     2,     2,     2,     2,     2,     2,     2, 
-	    2,     2,     2,     2,     2,     2,     2,     2, 
-	24577, 49156, 49156, 49156, 49156, 49156, 49156, 49156, 
-	49156, 49156, 49156, 49156, 49156, 49156, 49156, 49156, 
-	55304, 55304, 55304, 55304, 55304, 55304, 55304, 55304, 
-	55304, 55304, 49156, 49156, 49156, 49156, 49156, 49156, 
-	49156, 54536, 54536, 54536, 54536, 54536, 54536, 50440, 
-	50440, 50440, 50440, 50440, 50440, 50440, 50440, 50440, 
-	50440, 50440, 50440, 50440, 50440, 50440, 50440, 50440, 
-	50440, 50440, 50440, 49156, 49156, 49156, 49156, 49156, 
-	49156, 54792, 54792, 54792, 54792, 54792, 54792, 50696, 
-	50696, 50696, 50696, 50696, 50696, 50696, 50696, 50696, 
-	50696, 50696, 50696, 50696, 50696, 50696, 50696, 50696, 
-	50696, 50696, 50696, 49156, 49156, 49156, 49156,     2, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0, 
-	    0,     0,     0,     0,     0,     0,     0,     0
-};
-
-static const unsigned short *__ctype_b_ptr = __ctype_b + 128;
-
-void __assert_fail(const char *assertion, const char *file, unsigned int line, const char *function)
-{
-	panic("Run-time assertion (%s:%u:%s) failed (%s)", file, line, function ? function : "", assertion);
-}
-
-void abort(void)
-{
-	panic("Run-time scheduled abort");
-}
-
-void *fopen(const char *path, const char *mode)
-{
-	return NULL;
-}
-
-size_t fread(void *ptr, size_t size, size_t nmemb, void *stream)
-{
-	return 0;
-}
-
-size_t fwrite(const void *ptr, size_t size, size_t nmemb, void *stream)
-{
-	return 0;
-}
-
-int fflush(void *stream)
-{
-	return 0;
-}
-
-int feof(void *stream)
-{
-	return 1;
-}
-
-int fclose(void *stream)
-{
-	return 0;
-}
-
-int vfprintf(void *stream, const char *format, va_list ap)
-{
-	return 0;
-}
-
-int sscanf(const char *str, const char *format, ...)
-{
-	return 0;
-}
-
-const unsigned short **__ctype_b_loc(void)
-{
-	return &__ctype_b_ptr;
-}
-
-long int __strtol_internal(const char *__nptr, char **__endptr, int __base, int __group)
-{
-	return 0;
-}
-
-void *memset(void *s, int c, size_t n)
-{
-	memsetb(s, n, c);
-	return s;
-}
-
-void *calloc(size_t nmemb, size_t size)
-{
-	return malloc(nmemb * size, 0);
-}
-
-/** @}
- */
Index: kernel/generic/src/mm/as.c
===================================================================
--- kernel/generic/src/mm/as.c	(revision 5719f6ddbbd629f7eb5c571fcbcbd7a87a3565c7)
+++ kernel/generic/src/mm/as.c	(revision 6e0e8c992daf9d94390386eed35f8f74072d093d)
@@ -83,5 +83,4 @@
 #endif /* CONFIG_VIRT_IDX_DCACHE */
 
-#ifndef __OBJC__
 /**
  * Each architecture decides what functions will be used to carry out
@@ -94,5 +93,4 @@
  */
 static slab_cache_t *as_slab;
-#endif
 
 /**
@@ -120,5 +118,4 @@
 static void sh_info_remove_reference(share_info_t *sh_info);
 
-#ifndef __OBJC__
 static int as_constructor(void *obj, int flags)
 {
@@ -140,5 +137,4 @@
 	return as_destructor_arch(as);
 }
-#endif
 
 /** Initialize address space subsystem. */
@@ -147,8 +143,6 @@
 	as_arch_init();
 
-#ifndef __OBJC__
 	as_slab = slab_cache_create("as_slab", sizeof(as_t), 0,
 	    as_constructor, as_destructor, SLAB_CACHE_MAGDEFERRED);
-#endif
 	
 	AS_KERNEL = as_create(FLAG_AS_KERNEL);
@@ -166,12 +160,5 @@
 	as_t *as;
 
-#ifdef __OBJC__
-	as = [as_t new];
-	link_initialize(&as->inactive_as_with_asid_link);
-	mutex_initialize(&as->lock, MUTEX_PASSIVE);	
-	(void) as_constructor_arch(as, flags);
-#else
 	as = (as_t *) slab_alloc(as_slab, 0);
-#endif
 	(void) as_create_arch(as, 0);
 	
@@ -264,9 +251,5 @@
 	interrupts_restore(ipl);
 
-#ifdef __OBJC__
-	[as free];
-#else
 	slab_free(as_slab, as);
-#endif
 }
 
@@ -1164,12 +1147,8 @@
 pte_t *page_table_create(int flags)
 {
-#ifdef __OBJC__
-	return [as_t page_table_create: flags];
-#else
 	ASSERT(as_operations);
 	ASSERT(as_operations->page_table_create);
 	
 	return as_operations->page_table_create(flags);
-#endif
 }
 
@@ -1182,12 +1161,8 @@
 void page_table_destroy(pte_t *page_table)
 {
-#ifdef __OBJC__
-	return [as_t page_table_destroy: page_table];
-#else
 	ASSERT(as_operations);
 	ASSERT(as_operations->page_table_destroy);
 	
 	as_operations->page_table_destroy(page_table);
-#endif
 }
 
@@ -1206,12 +1181,8 @@
 void page_table_lock(as_t *as, bool lock)
 {
-#ifdef __OBJC__
-	[as page_table_lock: lock];
-#else
 	ASSERT(as_operations);
 	ASSERT(as_operations->page_table_lock);
 	
 	as_operations->page_table_lock(as, lock);
-#endif
 }
 
@@ -1223,12 +1194,8 @@
 void page_table_unlock(as_t *as, bool unlock)
 {
-#ifdef __OBJC__
-	[as page_table_unlock: unlock];
-#else
 	ASSERT(as_operations);
 	ASSERT(as_operations->page_table_unlock);
 	
 	as_operations->page_table_unlock(as, unlock);
-#endif
 }
 
